/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.doc.rulebase;

import org.eclipse.actf.validation.rulebase.IRuleBase;
import org.eclipse.actf.validation.rules.IRule;
import org.eclipse.actf.validation.rules.IRuleFactory;
import org.eclipse.actf.validation.rules.IRuleMapping;
import org.eclipse.actf.validation.rules.IRuleSet;



public class ValidationDocumentRuleSet implements IRuleSet {

	private String name;
	private IRuleFactory ruleFactory;
	private boolean enabled;
	private String executionPoint;
	private IRuleMapping ruleMap;
	private IRuleBase ruleBase;

	public ValidationDocumentRuleSet() {
		this(null);
	}

	public ValidationDocumentRuleSet(IRuleBase iRuleBase) {
		ruleBase = iRuleBase;
	}

	public void addRule(IRule rule) {
	}

	public String getExecutionPointName() {
		return executionPoint;
	}

	public String getName() {
		return name;
	}

	public IRule getRule(String name) {
		return null;
	}

	public IRuleBase getRuleBase() {
		return ruleBase;
	}

	public IRuleFactory getRuleFactory() {
		return ruleFactory;
	}

	public IRule[] getRules() {
		return null;
	}

	public boolean isEnabled() {
		return enabled;
	}

	public void removeRule(String name) {
	}

	public void setEnabled(boolean enabled) {
		this.enabled = enabled;
	}

	public void setExecutionPoint(String executionPoint) {
		this.executionPoint = executionPoint;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setRuleBase(IRuleBase iRuleBase) {
		ruleBase = iRuleBase;
	}

	public void setRuleFactory(IRuleFactory factory) {
		ruleFactory = factory;
	}

	public IRuleMapping getRuleMap() {
		return ruleMap;
	}

	public void setRuleMap(IRuleMapping ruleMapping) {
		ruleMap = ruleMapping;
	}

}
