/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.validation.javapp;

public final class JavaValidationConstants {

	/* server-related keys */
	public static final String RESOURCE_SERVER_HOST_KEY = "resource.server.host";
	public static final String RESOURCE_SERVER_PORT_KEY = "resource.server.port";
	public static final String RESOURCE_SERVER_HOST_DEFAULT = "localhost";
	public static final int RESOURCE_SERVER_PORT_DEFAULT = 20013;

	/* JDK-related keys */
	public static final String JAVA_HOME_KEY = "java.home";
	public static final String ACTF_AOP_PATH_KEY = "actf.aop.path";
	public static final String ACTF_AOP_ENGINE_PATH_KEY = "actf.aop.engine.path";
	public static final String ACTF_AOP_VERBOSE_KEY = "actf.aop.verbose";
	public static final String CREATION_CONTEXTS_PROCESSING_KEY = "creation.contexts.processing";
	public static final String PROCESS_VIOLATION_CONTEXTS = "violationContexts";

}

