/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.ui.launch;

import org.eclipse.debug.core.ILaunchConfiguration;
import org.eclipse.debug.core.ILaunchConfigurationWorkingCopy;
import org.eclipse.debug.ui.AbstractLaunchConfigurationTab;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Text;

public class JavaLaunchConfigurationTab extends AbstractLaunchConfigurationTab
{

	public JavaLaunchConfigurationTab () {
		super();
	}

	public void createControl (Composite parent) {
		Composite main = new Composite(parent, SWT.NONE);
		main.setLayout(new GridLayout());
		main.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		Text empty = new Text(main, SWT.SINGLE | SWT.READ_ONLY);
		empty.setText("Use Windows>Preferences>ACTF to configure all ACTF launches.");
		setControl(main);
	}

	public void setDefaults (ILaunchConfigurationWorkingCopy configuration) {
	}

	public void initializeFrom (ILaunchConfiguration configuration) {
	}

	public void performApply (ILaunchConfigurationWorkingCopy configuration) {
	}

	public String getName () {
		return "ACTF";
	}
}
