/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.accservice.core.win32.ia2;

public class IA2AccessibleTableModelChange {
	public int type;
	public int firstRow;
	public int lastRow;
	public int firstColumn;
	public int lastColumn;

	public IA2AccessibleTableModelChange(int type, int firstRow, int lastRow, int firstColumn, int lastColumn) {
		this.type = type;
		this.firstRow = firstRow;
		this.lastRow = lastRow;
		this.firstColumn = firstColumn;
		this.lastColumn = lastColumn;
	}
	
	public String toString(){
		return getClass().getName() + "[type=" + type +",frow=" +
		firstRow + ",fcol="+ 
		firstColumn + ",lrow=" +lastRow
		+",lcol=" + lastColumn;

	}
	
}
