/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.aspects;

/**
 * @author Mike Squillace
 */
public class IllegalTerminationError extends Error
{

	/**
	 * 
	 */
	public IllegalTerminationError () {
		super();
	}

	/**
	 * @param message
	 */
	public IllegalTerminationError (String message) {
		super(message);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public IllegalTerminationError (String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param cause
	 */
	public IllegalTerminationError (Throwable cause) {
		super(cause);
	}
} // IllegalTerminationError
