/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 


package org.eclipse.actf.validation.javapp.ui.launch;

import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.core.runtime.Platform;


public class AtfEnablementPropertyTester extends PropertyTester
{

	public static final boolean IS_ATF_PRESENT = Platform.getBundle("org.eclipse.atf.ui") != null; 
	
	public AtfEnablementPropertyTester () {
		super();
	}

	public boolean test (Object receiver, String property, Object[] args, Object expectedValue) {
		return IS_ATF_PRESENT;
	}
	
}
