/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.providers;

public class RuntimeToggle
{

	protected String label;

	protected String configKey;

	protected String enabledMessage;

	protected String disabledMessage;

	protected boolean selected;

	public RuntimeToggle (String label, String configKey) {
		this.label = label;
		this.configKey = configKey;
	}

	public String getConfigurationKey () {
		return configKey;
	}

	public void setConfigurationKey (String configKey) {
		this.configKey = configKey;
	}

	public String getDisabledMessage () {
		return disabledMessage;
	}

	public void setDisabledMessage (String disabledMessage) {
		this.disabledMessage = disabledMessage;
	}

	public String getEnabledMessage () {
		return enabledMessage;
	}

	public void setEnabledMessage (String enabledMessage) {
		this.enabledMessage = enabledMessage;
	}

	public String getLabel () {
		return label;
	}

	public void setLabel (String label) {
		this.label = label;
	}

	public boolean isSelected () {
		return selected;
	}

	public void setSelected (boolean selected) {
		this.selected = selected;
	}
}
