/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  barryf - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.views;

import org.eclipse.jface.action.IStatusLineManager;
import org.eclipse.swt.graphics.Image;

/**
 * @author barryf
 *
 */
public interface IStatusLineAccess
{

	IStatusLineManager getStatusLineManager ();

	void displayStatusMessage (String message);

	void displayStatusMessage (String message, Image image);

	void displayErrorMessage (String message);

	void displayErrorMessage (String message, Image image);

	void clearMessages ();
}
